/**
  @file       usedcar.css By modern
  @date       2020-04-22: Sharon  + 191001009, Create
	@date       2020-06-01: Chiuhua # 191001009, 調整 photo_single 照片尺寸與比例繼承 oTToCity 共用
	@date       2020-06-01: Chiuhua # 191001009, 調整 商品資訊 gap
	@date       2020-06-01: Chiuhua # 191001009, 調整 小尺寸裝置車輛櫥窗 gap
	@date       2020-06-01: Ellen   + 191001009, 增加 無資料樣式 emptymsg
	@date       2020-06-01: Chiuhua # 191001009, 調整 追蹤 icon 位置與尺寸並改良可點擊區
	@date       2021-06-25: Chiuhua # 210501509, oTToCity 連結游標樣式盤整
  @date       2023-01-10: Ys      # H221000167, 追蹤的樣式從共用模版內抽離至品牌 (← bug, 這樣做造成 Portal2 及不需差異的品牌出問題, 6/29 Chiuhua 已修正)
	@date       2023-06-26: Chiuhua # 230601756, 改良 品牌認證 icon RWD (因 HONDA 認證 icon 非正方)
	@date       2023-06-29: Chiuhua # 230601756, 修正 Ys 把追蹤 icon 視覺尺寸從樣版抽離至 fordassured 的 bug (造成 Portal2 及不需差異的品牌出問題)
  @date       2023-09-27: Sharon  # 230900138, storefront_store 調整畫面同 honda 版
  @date       2024-01-10: Sharon  # H230800205, 調整 emptymsg 樣式
	@date       2024-03-15: Sharon  # H240100197, 增加優惠價樣式處理
  @date       2024-04-30: Sharon  # 231003565, 調整認證圖示寬度
	@date       2024-08-19: Sharon  # 240802043, 調整HONDA認證圖示在GENERIC的高度
	@date       2025-06-13: Sharon  # 250600866, line-height + important
	@date       2026-03-12: Chiuhua # 260301300, 修正 現有二手車櫥窗 bug, 改良 RWD
*/
/* 區塊 */
/* 2026-03-12: Chiuhua # 260301300, 修正 現有二手車櫥窗 bug - ribbon 緞帶位置瑕疵 */
.storefront_store > ul > li {width:33.3333%;position:relative;}
.storefront_store > ul > li .ribbon {position:absolute;top:10px;left:10px;z-index:1;}
.storefront_store > ul > li .badge_star_gold {position:absolute;top:10px;left:9.5rem;z-index:1;}
@media all and (max-width:1024px) {
.storefront_store > ul > li .ribbon {left:6px;}
}

/* 照片 */
/* 2020-06-01: Chiuhua # 191001009, 調整 photo_single 照片尺寸與比例繼承 oTToCity 共用 */
/* 2021-06-25: Chiuhua # 210501509, oTToCity 連結游標樣式盤整 */
.storefront_store .photo_single {cursor:pointer;}

/* 商品資訊 */
/* 2020-06-01: Chiuhua # 191001009, 調整商品資訊 gap */
.storefront_store .info {position:relative;padding:0px;padding-left:0.5em;}
.storefront_store .info *:not([class*="large"]) {line-height:1.5em;min-height:1.5em;}
.storefront_store .info *[class*="large"], .storefront_store .info *[class*="large"] * {line-height:1.3em !important;min-height:1.3em;}

/* 商品資訊 - 商品 */
/* 2026-03-12: Chiuhua # 260301300, 修正 現有二手車櫥窗 bug - dt 子層 gap 原寫法會造成還行不齊左 */
.storefront_store .info .product {position:relative;overflow:visible;}
.storefront_store .info .product > * {display:inline-block;vertical-align:top;}
.storefront_store .info .product dl {width:calc(100% - 3em);height:6.55em;}
.storefront_store .info .product dl dt {white-space:normal;max-height:2.6em;}
.storefront_store .info .product dl dt > * {display:inline-block;vertical-align:top;}
.storefront_store .info .product dl > * > *:not(:last-child) {margin-right:0.5em;}
/* 2026-03-12: Chiuhua + 260301300, 改良 RWD - 車輛照片在手機版不佔多餘高度 */
@media all and (max-width:599px) {
.storefront_store .info .product dl {height:auto;}
}

/* 追蹤 與 認證 icon 共用 */
.storefront_store .info .product i {cursor:pointer;}

/* 追蹤 icon */
/* 2020-06-01: Chiuhua # 191001009, 調整 追蹤 icon 位置與尺寸並改良可點擊區 */
/* 2023-01-10: Ys      # H221000167, 追蹤的樣式從共用模版內抽離至品牌 (← bug, 這樣做造成 Portal2 及不需差異的品牌出問題, 6/29 Chiuhua 已修正) */
/* 2023-06-29: Chiuhua # 230601756, 修正 Ys 把追蹤 icon 視覺尺寸從樣版抽離至 fordassured 的 bug (造成 Portal2 及不需差異的品牌出問題) */
.storefront_store .info .product i[class*="i_favorites"] {position:absolute;top:0px;right:-10px;width:3em;height:2em;background-size:auto 1.52em !important;}
.storefront_store .info .product i[class*="i_favorites"].i_favorites_pink {background-size:auto 1.6em !important;}
.storefront_store .info .product i[class*="i_favorites"].i_heart_red {}

/* 認證 icon */
/* 2023-06-26: Chiuhua # 230601756, 改良 品牌認證 icon RWD (因 HONDA 認證 icon 非正方) */
/* 2024-08-19: Sharon  # 240802043, 調整HONDA認證圖示在GENERIC的高度 */
.storefront_store .info .product i.certifyicon {width:3em;height:2.4em;text-align:right;position:relative;top:2em;right:0px;}
.storefront_store .info .product i.certifyicon > img {max-height:100%;}
.storefront_store .info .product i.certifyicon > img[src*='HONDA'] {max-height:65%;}
.storefront_store .info .product strong, .storefront_store .info .product del.stk {position:absolute;right:0px;display:inline-block;}
.storefront_store .info .product strong > *, .storefront_store .info .product del.stk > * {display:inline-block;}
.storefront_store .info .product strong {bottom:-1.7rem;}
.storefront_store .info .product del.stk {bottom:0px;}
/* 2026-03-12: Chiuhua + 260301300, 改良 RWD - 車輛照片在手機版不佔多餘高度 */
@media all and (max-width:599px) {
.storefront_store .info .product strong {bottom:calc(-1.7rem - 7px);}
.storefront_store .info .product del.stk {bottom:-0.35em;}
}

/* 商品資訊 - 商店 */
/* 2020-07-22: Chiuhua # 191001009, 調整 loc icon 移除後殘留的 gap */
.storefront_store .info .store {margin-top:3px;width:100%;height:2.6em;display:table;table-layout:fixed;}
.storefront_store .info .store * {vertical-align:bottom;}
.storefront_store .info .store > * {display:table-cell;}
.storefront_store .info .store > dt {position:relative;white-space:normal;vertical-align:bottom;}
.storefront_store .info .store > dt > span {display:inline-block;width:100%;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}
.storefront_store .info .store > dt > span:first-of-type {margin-right:0.5em;}
/* .storefront_store .info .store > dt > span:last-of-type {margin-right:1.75em;} */
.storefront_store .info .store > dt > i {position:absolute;bottom:0px;margin-left:-1.5em;cursor:pointer;}
.storefront_store .info .store > dd {width:5em;}
/* 2026-03-12: Chiuhua + 260301300, 改良 RWD - 車輛照片在手機版不佔多餘高度 */
@media all and (max-width:599px) {
.storefront_store .info .store {margin-top:10px;}
}

/* 按鈕 (1024 以下才需顯示) */
/* 2020-05-27: Sharon, 按鈕出現時機為車輛數超過螢幕高度時 (byHo)
.storefront_store .btn_rect_wrap1 {display:none;} */

@media all and (max-width:1279px) {
.storefront_store > ul > li {width:50%;}
}

@media all and (min-width:1024px) {
.storefront_store .photo_single {width:12.5rem;height:9.375rem;}
.storefront_store > ul > li .badge_star_gold {left:12rem;}
}

/* 2020-06-01: Chiuhua # 191001009, 調整小尺寸裝置車輛櫥窗 gap */
@media all and (max-width:767px) {
.storefront_store > ul > li {width:100%;}
.storefront_store > ul > li:not(:nth-last-child(1)) {padding-bottom:0px;}
}

@media all and (max-width:360px) {
.storefront_store .info .product dl > * > *:not(:last-child) {margin-right:0.3em;}
.storefront_store .photo_single {width:9rem;}
.storefront_store > ul > li .badge_star_gold {left:9rem;}
}

@media (max-width:340px) {
.storefront_store .photo_single {width:8rem;}
.storefront_store > ul > li .badge_star_gold {left:8rem;}
}